<?php
/*
Plugin Name: EZ-FAQ
Plugin URI: http://www.grepsedia.com/development/ezfaq
Description: Easily convert and format FAQ pages which can be used as a filter or a template tag.
Author: Bill French
Version: 0.1
Author URI: http://www.grepsedia.com

    EZ-FAQ is released under the GNU General Public License (GPL)
    http://www.gnu.org/licenses/gpl.txt

    This is a WordPress plugin (http://wordpress.org) and widget
    (http://automattic.com/code/widgets/).
*/

define('EZFAQPATH', ABSPATH."wp-content/plugins/ezfaq/");
define('EZFAQURL', "/wp-content/plugins/ezfaq");

/* Include our php */
require_once(EZFAQPATH . "include/ezfaq.php");


/* Our main object */
if (class_exists("EZFaq")) {
    $ezfaq = new EZFaq();
}


/* Our Actions and Filters */
if( isset($ezfaq) ) {
    //Actions
    add_action('admin_menu',     array(&$ezfaq, 'create_admin_panel'), 1);
    add_action('wp_head',        array(&$ezfaq, 'add_headers'), 1);

    //Filters
    $config = $ezfaq->config();
    if( $config->get( "ezfaq_enable_filter") )
        add_filter('the_content', array(&$ezfaq, 'filter'), 1);
}

?>
