<?php

if (!class_exists("EZFAQConfig")) {
    class EZFAQConfig {
        var $optionsName = "EZFaqOptions";
        var $config;
        var $conduit;

        //constructor
        function EZFAQConfig() {
            $this->read_options();
        }

        function init() {
            $this->get_options();
        }

        //Returns an array of admin options
        function read_options() {
            $this->config = get_option($this->optionsName);
        }

        function get( $field ) {
            if( ! isset( $this->config ) )
                $this->read_options;

            return $this->config["$field"];
        }

        function set( $field, $value ) {
            if( ! isset( $this->config ) )
                $this->read_options;

            if( $value != $this->get( "$field" ) ) {
                $this->config["$field"] = $value;
            }

            $this->update( $this->config );
        }

        function getall( ) {
            if( ! isset( $this->config ) )
                $this->read_options;

            return $this->config;
        }

        function update( $options ) {
            update_option($this->optionsName, $options);
        }

        //Returns an array of admin options
        function get_options() {
            $ezfaqOptions = array(
                'ezfaq_enable_filter'        => true,
                'ezfaq_toc_container_css'    => 'text-indent: 0px;
list-style-position: inside;
padding: 0px;
margin: 5px;
margin-bottom: 2em;
line-height: 1em;
background-color: #F4F4F4;
border: solid #B2B2B2 1px;',
                'ezfaq_toc_item_css'         => 'font-weight: bold;',
                'ezfaq_question_css'         => 'font-size: 110%;
font-weight: bold;
border-bottom: solid #B2B2B2 1px;',
            );

            $devOptions = get_option($this->optionsName);

            if( !empty($devOptions) ) {
                foreach( $devOptions as $key => $option )
                    $ezfaqOptions[$key] = $option;
            }

            $this->update($ezfaqOptions);
            return $ezfaqOptions;
        }

    }
}

?>
